Bug 197893 - graphics/cinepaint fails to build when USE_GCC=yes implies GCC 4.9
Summary: graphics/cinepaint fails to build when USE_GCC=yes implies GCC 4.9
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-02-22 01:23 UTC by Gerald Pfeifer
Modified: 2015-04-09 19:21 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-02-22 01:23:18 UTC
This is related to PR 196712 and blocks updating the default version of
GCC from 4.8 to 4.9.

I believe what is happening here is that OpenEXR uses GCC on older 
versions of FreeBSD and when linking with the OpenEXR libraries we
then fail to pull in the proper NEWER GCC run-time libraries.

This can be fixed by building (or at least linking) with the same
compiler that OpenEXR is built with.  See OpenEXR/Makefile for how
this is done there. 


http://package18.nyi.freebsd.org/data/93i386-default-PR196712/2015-01-18_16h49m19s/logs/errors/cinepaint-1.0.4_8.log

/bin/sh ../../libtool  --tag=CC   --mode=link cc  -I/usr/local/include   -O2 -pipe -fno-strict-aliasing -Wall  -L/usr/local/lib -o blur blur.o ../../lib/libcinepaint.la -L/usr/local/lib    -L/usr/local/lib  -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -pthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -L/usr/local/lib -lfreetype    -L/usr/local/lib ../../libhalf/cinepaint_half.lo -lIlmImf -L/usr/local/lib -lImath-2_2 -lIexMath-2_2 -lHalf -lIex-2_2 -lIlmThread-2_2 -pthread   -lc 
libtool: link: cc -I/usr/local/include -O2 -pipe -fno-strict-aliasing -Wall -o .libs/blur blur.o -pthread ../../libhalf/.libs/cinepaint_half.o -pthread  -L/usr/local/lib ../../lib/.libs/libcinepaint.so /wrkdirs/usr/ports/graphics/cinepaint/work/cinepaint-1.0-4/libhalf/.libs/libcinepaintHalf.so -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lfontconfig -lfreetype -lIlmImf -lImath-2_2 -lIexMath-2_2 -lHalf -lIex-2_2 -lIlmThread-2_2 -pthread  -Wl,-rpath -Wl,/usr/local/lib
/usr/local/lib/libIlmImf.so: undefined reference to `std::__throw_out_of_range_fmt(char const*, ...)@GLIBCXX_3.4.20'
Makefile:486: recipe for target 'blur' failed
gmake[2]: *** [blur] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/graphics/cinepaint/work/cinepaint-1.0-4/plug-ins/blur'
Makefile:495: recipe for target 'all-recursive' failed
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/graphics/cinepaint/work/cinepaint-1.0-4/plug-ins'
Makefile:773: recipe for target 'all-recursive' failed
gmake: *** [all-recursive] Error 1
*** [do-build] Error code 1
Comment 1 Gerald Pfeifer freebsd_committer 2015-04-09 19:21:43 UTC
OpenEXR no longer employes USE_GCC=yes, so this issue should be
resolved without changes to graphics/cinepaint.